<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'ordres_missions';

		/* data for selected record, or defaults if none is selected */
		var data = {
			from_mission: <?php echo json_encode(array('id' => $rdata['from_mission'], 'value' => $rdata['from_mission'], 'text' => $jdata['from_mission'])); ?>,
			nom_prenom: <?php echo json_encode(array('id' => $rdata['nom_prenom'], 'value' => $rdata['nom_prenom'], 'text' => $jdata['nom_prenom'])); ?>,
			fonction: <?php echo json_encode($jdata['fonction']); ?>,
			direction: <?php echo json_encode($jdata['direction']); ?>,
			service: <?php echo json_encode($jdata['service']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for from_mission */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'from_mission' && d.id == data.from_mission.id)
				return { results: [ data.from_mission ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nom_prenom' && d.id == data.nom_prenom.id)
				return { results: [ data.nom_prenom ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'nom_prenom' && d.id == data.nom_prenom.id){
				$j('#fonction' + d[rnd]).html(data.fonction);
				$j('#direction' + d[rnd]).html(data.direction);
				$j('#service' + d[rnd]).html(data.service);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

